Bug 402221 - Should document the 'C' field of rpm -V for current RHEL5u1
Should document the 'C' field of rpm -V for current RHEL5u1
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 01:40 EST by Marco Grigull
Modified: 2008-10-03 01:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 01:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Grigull 2007-11-28 01:40:48 EST
Description of problem:
Bugzilla Bug 120464: Should document the 'C' field of rpm -V

Version-Release number of selected component (if applicable):
rpm-4.4.2

How reproducible:
always

Steps to Reproduce:
1. mangle the security context for a file installed by rpm (eg mv and copy back,
manipulate directly)
2. inspect the output or 'rpm -Va'
3. wonder what the capital 'C' means
  
Actual results:
<lack of feild description>

Expected results:
rpm man page and friends should at least describe the function of this feild and
at best the implications of what having a file with incorrect security context
can have, especially when selinux is set to enforce.

Additional info:
client system had relocated /var, on boot failed to start syslogd though klogd
was fine.... truned out to be that the context had not been preserved...

This was originally filed against fedora and ignored due to changess in newer
release though still affects our current enterprise offerings.
Comment 1 Panu Matilainen 2007-11-28 02:28:59 EST
The 'C' verification field is only present on RHEL 4 (and FC of the era), it has
been removed in later versions including RHEL 5:

* Wed Jun 28 2006 Paul Nasrat <pnasrat@redhat.com> - 4.4.2-25
- Remove SELinux context verification (#193488)
Comment 2 Panu Matilainen 2008-10-02 09:06:39 EDT
..and the 'C' field is documented in RHEL 4 rpm where it is present. No bug here afaict.
Comment 3 Marco Grigull 2008-10-02 18:39:53 EDT
Hi Panu,

what is the significance of the 'c' in the following output?

This is from a CSB5 system from one week ago, and is essentially RHEL5u1 desktop with some components updated to RHEL5.2 .....

missing     /etc/init.d/vmware-setup
S.5....T   /usr/share/texmf-var/fonts/map/dvips/updmap/builtin35.map
S.5....T   /usr/share/texmf-var/fonts/map/dvips/updmap/download35.map
S.5....T   /usr/share/texmf-var/fonts/map/dvips/updmap/ps2pk.map
S.5....T   /usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_pk.map
S.5....T   /usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_t1.map
S.5....T c /etc/vpnc/default.conf
S.5....T c /etc/auto.misc
SM5..UGT c /etc/mailcap
S.5....T c /etc/mime.types
S.5...GT c /etc/dhcpd.conf
S.5....T c /etc/sysconfig/dhcpd
missing     /etc/selinux/targeted/modules/active/modules/csb52common.pp
missing     /etc/selinux/targeted/modules/active/modules/csb52vpnc.pp
S.?.....   /usr/lib/libopenobex.so.1.3.0
..5....T c /etc/pki/nssdb/secmod.db
S.?.....   /usr/lib/libmp3lame.so.0.0.0
S.5....T c /etc/samba/smb.conf
.M...UG. c /etc/krb5.conf
S.5....T c /etc/sudoers
S.5....T c /etc/maven/maven2-depmap.xml
S.?.....   /usr/lib/libSDL-1.2.so.0.7.3
.......T   /etc/pam.d/pm-hibernate
.......T   /etc/pam.d/pm-powersave
.......T   /etc/pam.d/pm-suspend
Unsatisfied dependencies for network-check-0.1-9.rhis.noarch: stun-client
S.?.....   /usr/lib/libnet6-1.3.so.0.0.0
.M...... c /etc/cups/classes.conf
S.5....T c /etc/cups/cupsd.conf
S.5....T c /etc/cups/printers.conf
missing     /usr/share/system-config-kickstart/auth.pyc
missing     /usr/share/system-config-kickstart/basic.pyc
missing     /usr/share/system-config-kickstart/bootloader.pyc
missing     /usr/share/system-config-kickstart/firewall.pyc
missing     /usr/share/system-config-kickstart/hardwareLists.pyc
missing     /usr/share/system-config-kickstart/install.pyc
missing     /usr/share/system-config-kickstart/kickstartGui.pyc
missing     /usr/share/system-config-kickstart/network.pyc
missing     /usr/share/system-config-kickstart/packages.pyc
missing     /usr/share/system-config-kickstart/partEntry.pyc
missing     /usr/share/system-config-kickstart/partWindow.pyc
missing     /usr/share/system-config-kickstart/partition.pyc
missing     /usr/share/system-config-kickstart/profileSystem.pyc
missing     /usr/share/system-config-kickstart/raidOptionsWindow.pyc
missing     /usr/share/system-config-kickstart/raidWindow.pyc
missing     /usr/share/system-config-kickstart/savedialog.pyc
missing     /usr/share/system-config-kickstart/savefile.pyc
missing     /usr/share/system-config-kickstart/scripts.pyc
missing     /usr/share/system-config-kickstart/xconfig.pyc
SM5...GT c /etc/sysconfig/iptables
S.5....T c /root/.bash_profile
S.5....T c /etc/ppp/chap-secrets
S.5....T c /etc/ppp/pap-secrets
S.5....T c /etc/postfix/main.cf
S.5....T c /etc/postfix/virtual
.M5..UGT c /etc/sysconfig/rhn/rhnsd
.M...... c /etc/wvdial.conf
S.5....T   /usr/share/fonts/KOI8-R/75dpi/fonts.dir
S.5....T   /usr/share/texmf-var/fonts/map/dvipdfm/updmap/dvipdfm_dl14.map
S.5....T   /usr/share/texmf-var/fonts/map/dvipdfm/updmap/dvipdfm_ndl14.map
S.5....T   /usr/share/texmf-var/fonts/map/pdftex/updmap/pdftex_dl14.map
S.5....T   /usr/share/texmf-var/fonts/map/pdftex/updmap/pdftex_ndl14.map
S.5....T   /usr/share/texmf-var/web2c/aleph.fmt
S.5....T   /usr/share/texmf-var/web2c/amstex.fmt
S.5....T   /usr/share/texmf-var/web2c/bamstex.fmt
S.5....T   /usr/share/texmf-var/web2c/bplain.fmt
S.5....T   /usr/share/texmf-var/web2c/cont-en.fmt
S.5....T   /usr/share/texmf-var/web2c/etex.fmt
S.5....T   /usr/share/texmf-var/web2c/lambda.fmt
S.5....T   /usr/share/texmf-var/web2c/lamed.fmt
S.5....T   /usr/share/texmf-var/web2c/metafun.mem
S.5....T   /usr/share/texmf-var/web2c/mf.base
..5....T   /usr/share/texmf-var/web2c/mpost.mem
S.5....T   /usr/share/texmf-var/web2c/mptopdf.fmt
S.5....T   /usr/share/texmf-var/web2c/omega.fmt
S.5....T   /usr/share/texmf-var/web2c/pdfetex.fmt
S.5....T   /usr/share/texmf-var/web2c/pdftex.fmt
S.5....T   /usr/share/texmf-var/web2c/tex.fmt
missing   c /etc/yum.repos.d/epel-testing.repo
missing   c /etc/yum.repos.d/epel.repo
..5....T c /usr/lib/security/classpath.security
S.5....T c /etc/my.cnf
S.5...GT c /etc/ntp.conf
.M...UG. c /etc/ntp/step-tickers
..5....T c /etc/inittab
SM5..UGT c /etc/rc.d/rc.local
S.5....T c /etc/sysctl.conf
S.5....T c /etc/yum.conf
.M...UG.   /etc
.M...UG.   /etc/sysconfig
.M...UG.   /usr
.M...UG.   /usr/local
.M...UG.   /usr/local/bin
S.?.....   /usr/lib/libagg.so.2.0.4
S.?.....   /usr/lib/libpq.so.4.1
S.?.....   /usr/lib/libxml++-2.6.so.2.0.7
....L... c /etc/pam.d/system-auth
S.5....T c /etc/security/limits.conf
S.5....T   /usr/share/fonts/KOI8-R/misc/fonts.dir
S.5....T c /etc/redhat-ddns/hosts
missing     /var/lib/texmf/ls-R
S.5....T c /etc/logrotate.conf
S.5....T c /etc/ssh/sshd_config
SM5....T c /etc/sysconfig/rhn/up2date
S.5....T c /etc/dumpdates
S.5....T   /etc/ghostscript/CIDFnmap.zh_CN
S.5....T   /etc/ghostscript/cidfmap.zh_CN
.......T c /etc/modprobe.d/blacklist-firewire
S.5....T   /usr/share/icons/hicolor/icon-theme.cache
.....UG.   /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
S.?.....   /usr/lib/libGL.so.1.2
S.5....T c /etc/kdump.conf
S.5....T c /etc/sysconfig/system-config-securitylevel
..5....T c /etc/yum/pluginconf.d/rhnplugin.conf
S.5....T c /etc/xml/catalog
S.5....T c /usr/share/sgml/docbook/xmlcatalog
S.5....T c /etc/sane.d/dll.conf
....L...   /usr/lib/acroread/Reader/HowTo/ENU/images
S.5....T c /etc/ssh/ssh_config
.......T c /etc/quotatab
S.5....T   /usr/share/fonts/KOI8-R/100dpi/fonts.dir
S.5....T c /etc/httpd/conf/httpd.conf
Unsatisfied dependencies for hal-0.5.8.1-35.el5.i386: pm-utils >= 0.99.3-6
S.5....T c /etc/security/console.apps/system-config-keyboard
S.5....T   /usr/share/texmf-var/web2c/latex.fmt
S.5....T   /usr/share/texmf-var/web2c/pdflatex.fmt
S.5....T c /etc/security/console.apps/system-config-date
......G. c /etc/group
S.5....T c /etc/host.conf
.M...UG. c /etc/hosts.allow
S.5....T c /etc/inputrc
......G. c /etc/passwd
S.5....T c /etc/printcap
.M...UG.   /etc/profile.d
S.?.....   /usr/lib/libtheora.so.0.2.0
missing   c /etc/yum.repos.d/rhel5-csb.repo
S.?.....   /usr/lib/libobby-0.4.so.0.0.1
SM5...GT c /etc/sysconfig/iptables-config
S.5....T c /etc/syslog.conf
S.5....T   /usr/lib/perl5/5.8.8/i386-linux-thread-multi/perllocal.pod
S.5...GT c /etc/yp.conf
.......T c /etc/audit/auditd.conf
S.5....T c /etc/security/console.apps/system-config-language
.M.....T c /etc/selinux/targeted/setrans.conf
S.?.....   /usr/lib/virtualbox/VBoxDDU.so
S.?.....   /usr/lib/virtualbox/VBoxRT.so
S.?.....   /usr/lib/virtualbox/VBoxXPCOM.so
Comment 4 Panu Matilainen 2008-10-03 01:24:48 EDT
From the manual (note 'c' vs 'C'):

       The  format  of  the  output  is  a  string of 8 characters, a possible
       attribute marker:

       c %config configuration file.
       d %doc documentation file.
       ...

Note You need to log in before you can comment on or make changes to this bug.